<?php

namespace domain\Ticket\TicketUser;

use domain\_\AbstractModule;

class TicketUserModule extends AbstractModule
{
    public function getServices(): array
    {
        return [
            TicketUserDefinition::class,
            TicketUserRepository::class,
            TicketUserBuilder::class
        ];
    }

    public function getDefinition(): TicketUserDefinition
    {
        return TicketUserDefinition::getInstance();
    }

    public function getRepository(): TicketUserRepository
    {
        return TicketUserRepository::getInstance();
    }

    public function getBuilder(): TicketUserBuilder
    {
        return TicketUserBuilder::getInstance();
    }
}